Package fr.gouv.vitam.worker.core.handler

# Enum Class CheckArchiveProfileRelationActionHandler.CheckProfileStatus

java.lang.Object
java.lang.Enum<CheckArchiveProfileRelationActionHandler.CheckProfileStatus>
fr.gouv.vitam.worker.core.handler.CheckArchiveProfileRelationActionHandler.CheckProfileStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckArchiveProfileRelationActionHandler.CheckProfileStatus>`, `Constable`

Enclosing class:
  `CheckArchiveProfileRelationActionHandler`

public static enum CheckArchiveProfileRelationActionHandler.CheckProfileStatus extends Enum<CheckArchiveProfileRelationActionHandler.CheckProfileStatus>
Check profile status values

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIFF`
  The profile mentioned in the contract but not mentioned in the SIP
  `INACTIVE`
  Existing but inactive profile
  `KO`
  Other error situation
  `OK`
  OK profile
  `UNKNOWN`
  Missing profile

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CheckArchiveProfileRelationActionHandler.CheckProfileStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CheckArchiveProfileRelationActionHandler.CheckProfileStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### UNKNOWN

    public static final CheckArchiveProfileRelationActionHandler.CheckProfileStatus UNKNOWN
    Missing profile

  - ### INACTIVE

    public static final CheckArchiveProfileRelationActionHandler.CheckProfileStatus INACTIVE
    Existing but inactive profile

  - ### DIFF

    public static final CheckArchiveProfileRelationActionHandler.CheckProfileStatus DIFF
    The profile mentioned in the contract but not mentioned in the SIP

  - ### OK

    public static final CheckArchiveProfileRelationActionHandler.CheckProfileStatus OK
    OK profile

  - ### KO

    public static final CheckArchiveProfileRelationActionHandler.CheckProfileStatus KO
    Other error situation

- ## Method Details

  - ### values

    public static CheckArchiveProfileRelationActionHandler.CheckProfileStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CheckArchiveProfileRelationActionHandler.CheckProfileStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null